image: openjdk:8-alpine

before_script:
  - wget https://github.com/dgarijo/Widoco/releases/download/v1.4.6/widoco-1.4.6-jar-with-dependencies.jar -O widoco.jar

after_script:
  - cp doc/description-en.html public/sections/ && cp doc/modele-pivot.png public/ && cp doc/introduction-en.html public/sections/ && cd public/ && ln -s index-en.html index.html 

pages:
  stage: deploy
  script:
  - java -jar widoco.jar -ontFile model/mnhn.ttl -outFolder public 
  artifacts:
    paths:
    - public
  only:
  - main

test:
  stage: test
  script:
  - java -jar widoco.jar -ontFile  model/mnhn.ttl -outFolder test
  artifacts:
    paths:
    - test
  except:
  - main
